Gecode::Support::DynamicQueue< T, A > Class Template Reference
Common functionality » Support algorithms and datastructures

Queue with arbitrary number of elements. More...

`#include <dynamic-queue.hpp>`

## Public Member Functions

| DynamicQueue (A &a)
| Initialize queue.
| ~DynamicQueue (void)
| Release memory.
bool | empty (void) const
| Test whether queue is empty.
void | reset (void)
| Reset queue to be empty.
T | pop (void)
| Pop element added first from queue and return it.
void | push (const T &x)
| Push element x to queue.

## Detailed Description

template<class T, class A>
class Gecode::Support::DynamicQueue< T, A >

Queue with arbitrary number of elements.

Definition at line 42 of file dynamic-queue.hpp.

## Constructor & Destructor Documentation

## DynamicQueue()

template<class T, class A>

Gecode::Support::DynamicQueue< T, A >::DynamicQueue | ( | A & | a | ) |

inline

Initialize queue.

Definition at line 111 of file dynamic-queue.hpp.

## ~DynamicQueue()

template<class T, class A>

Gecode::Support::DynamicQueue< T, A >::~DynamicQueue | ( | void |  | ) |

inline

Release memory.

Definition at line 116 of file dynamic-queue.hpp.

## Member Function Documentation

## empty()

template<class T, class A>

bool Gecode::Support::DynamicQueue< T, A >::empty | ( | void |  | ) | const

inline

Test whether queue is empty.

Definition at line 122 of file dynamic-queue.hpp.

## reset()

template<class T, class A>

void Gecode::Support::DynamicQueue< T, A >::reset | ( | void |  | ) |

inline

Reset queue to be empty.

Definition at line 128 of file dynamic-queue.hpp.

## pop()

template<class T, class A>

T Gecode::Support::DynamicQueue< T, A >::pop | ( | void |  | ) |

inline

Pop element added first from queue and return it.

Definition at line 134 of file dynamic-queue.hpp.

## push()

template<class T, class A>

void Gecode::Support::DynamicQueue< T, A >::push | ( | const T & | x | ) |

inline

Push element x to queue.

Definition at line 143 of file dynamic-queue.hpp.

The documentation for this class was generated from the following file:

- gecode/support/dynamic-queue.hpp